Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

List environments

Returns a project’s environments, a page at a time.

GET/project/{project_id}/environment
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
project_iduuidrequired

The unique identifier for the project

Query parameters
page[limit]integer

Maximum number of records to return

min 1 · max 100 · default: 10
page[number]integer

Page number

min 1 · default: 1
filter[with_deleted]boolean

Include deleted instances

default: false
Responses
200

List of environments retrieved successfully

recordsenvironment[]required
Show properties
Array of environment
iduuidrequired

A universally unique identifier (UUID) string

organization_iduuidrequired

A universally unique identifier (UUID) string

project_iduuidrequired

A universally unique identifier (UUID) string

cluster_iduuidrequired

A universally unique identifier (UUID) string

namestringrequired

The name of the environment.

typeenvironment_typerequired

The type of the environment.

Allowed:developmentstagingproduction
created_atstring<date-time>required

The timestamp when the environment was created.

updated_atstring<date-time>required

The timestamp when the environment was last updated.

deleted_atstring<date-time> | nullrequired

The timestamp when the environment was deleted.

paginationpagination_metarequired

Pagination metadata object containing information about the current page, total records, and navigation details for paginated API responses

Show properties
total_recordsintegerrequired

Total number of records available

current_pageintegerrequired

Current page number

total_pagesintegerrequired

Total number of pages available

next_pageinteger | nullrequired

Next page number, null if no next page exists

prev_pageinteger | nullrequired

Previous page number, null if no previous page exists

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X GET 'https://api.kapten.io/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/environment' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "records": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
      "cluster_id": "d3d1bfdf-67c4-41fa-b065-858242731616",
      "name": "string",
      "type": "development",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "total_records": 100,
    "current_page": 1,
    "total_pages": 10,
    "next_page": 2,
    "prev_page": null
  }
}

Was this page helpful?